{==============================================================================

  Copyright (C) 2000-2001 by Evgeny Kryukov
  All rights reserved

  All contents of this file and all other files included in this archive
  are Copyright (C) 2001 Evgeny Kryukov. Use and/or distribution of
  them requires acceptance of the License Agreement.

  See License.txt for licence information

===============================================================================}

unit KsSkinControls;

{$I KsSkinVer.Inc}
{$T-,W-,X+,P+}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  KsUtils, KsBitmap, KsControls, KsSkinVersion;

type

{ TSeSkinControl class }

  TSeSkinControl = class(TKsCustomControl)
  private
    function GetVersion: TSeSkinVersion;
    procedure SetVersion(const Value: TSeSkinVersion);
  protected
  public
  published
    property Align;
    property Blend;
    property BlendValue;
    property Transparent;
    property Version: TSeSkinVersion read GetVersion write SetVersion stored False;
  end;

implementation {===============================================================}

{ TSeSkinControl }

function TSeSkinControl.GetVersion: TSeSkinVersion;
begin
  Result := Sig;
end;

procedure TSeSkinControl.SetVersion(const Value: TSeSkinVersion);
begin
end;

end.
